#include <iostream>
using namespace std;

int main() {

	int N;
	int K;
	int A[N];
	int varijabla;
	int pozicija;
	cin >> N >> K;
	for (int i = 0; i < N; i++) {
		cin >> varijabla;
		A[i] = varijabla;

		if (varijabla == K)
			pozicija = i;
	}
	if (pozicija == N - 1)
		cout << A[0];
	else
		cout << A[pozicija + 1]
	return 0;
}